package com.example.hackernews;

import java.util.ArrayList;

import android.app.Activity;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;

/**
 * 
 * @author Kevin
 *
 */
public class FeedAdapter extends ArrayAdapter<FeedItem> {
	Context context; 
	int layoutResourceId; 
	ArrayList<FeedItem> data = null;

	/** Feed adapter constructor */
	public FeedAdapter(Context context, int layoutResourceId, ArrayList<FeedItem> feedItems) {
		super(context, layoutResourceId, feedItems);

		this.layoutResourceId = layoutResourceId;
		this.context = context;
		this.data = feedItems;
	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		View row = convertView;
		FeedItemHolder holder = null;

		// If the row is empty, populate with a feedItem
		if(row == null) {
			LayoutInflater inflater = ((Activity) context).getLayoutInflater();
			row = inflater.inflate(layoutResourceId, parent, false);
			holder = new FeedItemHolder();
			holder.title = (TextView) row.findViewById(R.id.title);
			row.setTag(holder);
		}
		else {
			holder = (FeedItemHolder) row.getTag();
		}

		FeedItem feedItem = data.get(position);
		
		holder.title.setText(feedItem.getTitle());
		holder.date.setText(feedItem.getDate());
		holder.author.setText(feedItem.getAuthor());
		holder.rank.setText(feedItem.getRank());
		holder.comments.setText(feedItem.getComments());
		holder.karma.setText(feedItem.getKarma());
		
		return row;
	}

	static class FeedItemHolder{
		TextView title;
		TextView date;
		TextView author;
		TextView rank;
		TextView comments;
		TextView karma;
	}

	@Override
	public void notifyDataSetChanged() {
		super.notifyDataSetChanged();  
	}
}
